/**
  *  \file client/tiles/planetmining.h
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETMINING_H
#define PCC_V2_CLIENT_TILES_PLANETMINING_H

#include "client/wtile.h"
#include "game/cargotype.h"
#include "io/io.h"              /* mp16_t */

class GPlanet;

class WPlanetMiningTile : public WTile {
    GPlanet&   planet;
    GCargoType ele;
    mp16_t     mines;
 public:
    WPlanetMiningTile(GPlanet& planet, GCargoType ele);
    void drawData(GfxCanvas& can);
    void setNumMines(mp16_t mines);
};


class WNarrowPlanetMineralTile : public WObjectTypeObserverTile {
 public:
    WNarrowPlanetMineralTile(GObjectType& type);
    void drawData(GfxCanvas& can);
};

#endif
