/**
  *  \file client/widgets/selswitch.h
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SELSWITCH_H
#define PCC_V2_CLIENT_WIDGETS_SELSWITCH_H

#include "ui/ui.h"

/** Selection switcher. This widget, when added to a group, will allow
    the user to switch selection layers. */
class WSelectionSwitcher : public UIFixedWidget {
 public:
    WSelectionSwitcher();
    ~WSelectionSwitcher();
    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);
};

#endif
